package com.docus.server.sys.infrastructure.dao.impl;

import com.docus.infrastructure.core.db.dao.impl.BaseDaoImpl;
import com.docus.server.sys.common.pojo.dto.DeptModifyParam;
import com.docus.server.sys.common.pojo.entity.PowerDept;
import com.docus.server.sys.infrastructure.dao.IPowerDeptDao;
import com.docus.server.sys.infrastructure.mapper.PowerDeptMapper;
import org.springframework.stereotype.Repository;

@Repository
public class PowerDeptDaoImpl extends BaseDaoImpl<PowerDeptMapper, PowerDept> implements IPowerDeptDao {

    @Override
    public PowerDept getDeptByDeptCode(String deptCode) {
        return baseMapper.getDeptByDeptCode(deptCode);
    }

    @Override
    public void addDept(DeptModifyParam deptModifyParam) {
        baseMapper.addDept(deptModifyParam);
    }

    @Override
    public void updateDept(DeptModifyParam deptModifyParam) {
        baseMapper.updateDept(deptModifyParam);
    }

    @Override
    public void delDeptByDeptCode(String deptCode) {
        baseMapper.delDeptByDeptCode(deptCode);
    }
}
